Bug 106636 - Linux 2.6.0-test5+ requires jfsutils >= 1.1.3
Linux 2.6.0-test5+ requires jfsutils >= 1.1.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jfsutils (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
http://marc.theaimsgroup.com/?l=linux...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-08 19:40 EDT by Gawain Lynch
Modified: 2013-07-02 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-29 00:24:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gawain Lynch 2003-10-08 19:40:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031003

Description of problem:
As of Linux 2.6.0-test5 the kernel has changed the behavior of opening a block
device with the O_EXCL flag.   This can cause fsck.jfs to fail to replay the
journal when a file system is mounted read-only.

The JFS utilities have been fixed, and it is recommended that any users of JFS
update the utilities to version 1.1.3.

Seeing as users of FC are likely to be testing 2.6.0-test kernels this would be
a sane and straightforward update, I have an SRPM already done if interested.

Version-Release number of selected component (if applicable):
jfsutils-1.1.2-1.1

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.